# $Revision: 1.15 $, $Date: 2002/11/16 23:20:39 $
Summary:	An X Window System graphical interface for the GNU gdb debugger
Summary(es):	Interface X para el depurador gdb
Summary(pl):	Graficzny interfejs pod X Window do debuggera gdb
Summary(pt_BR):	Interface X para o depurador gdb
Summary(ru):	X-   gdb
Summary(uk):	X-  צ gdb
Name:		xxgdb
Version:	1.12
Release:	20
License:	MIT
Group:		Development/Debuggers
Source0:	ftp://sunsite.unc.edu/pub/Linux/devel/debuggers/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-glibc.patch
Patch1:		%{name}-sysv.patch
Patch2:		%{name}-compat21.patch
BuildRequires:	XFree86-devel
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Xxgdb is an X Window System graphical interface to the GNU gdb
debugger. Xxgdb provides visual feedback and supports a mouse
interface for the user who wants to perform debugging tasks like the
following: controlling program execution through breakpoints,
examining and traversing the function call stack, displaying values of
variables and data structures, and browsing source files and
functions.

%description -l es
xxgdb es una interface grfica para el debugger de GNU. Tiene la
habilidad de ensear archivos fuente mientras se ejecutan, y
configurar "breakpoints", paso a paso, a travs de los comandos - todo
con una interface grfica X Window muy sencilla de usar.

%description -l pl
xxgdb to graficzny interfejs dla X Window System do debuggera GNU gdb.
xxgdb daje wizualny interfejs z obsug myszy do takich zada jak:
kontrola wykonywania programu poprzez breakpointy, sprawdzanie i
przegldanie stosu, wywietlanie zmiennych i struktur danych,
przegldanie plikw rdowych i funkcji.

%description -l pt_BR
xxgdb  uma interface grfica para o debugger da GNU. Ele tem a
habilidade de mostrar arquivos fonte enquanto eles so executados,
configura "breakpoints", e passo a passo atravs dos comandos - tudo
com uma interface grfica X Window muito simples de se usar.

%description -l ru
xxgdb -      GNU Debugger (gdb).
       ,
        
-        X Window.

%description -l uk
xxgdb -  Ʀ   צ GNU Debugger (gdb).
Ѥ  ȦΦ   Ħ   ,
  צ      
-     Φ Ʀ Ҧ Ц X Window.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
xmkmf -a
%{__make} \
	CC=%{__cc} \
	CXXDEBUGFLAGS="%{rpmcflags}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	DEFGDB="-DGDB -DCREATE_IO_WINDOW"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Development,%{_pixmapsdir}}

%{__make} install install.man DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Development
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xxgdb
%{_libdir}/X11/app-defaults/XDbx
%{_mandir}/man1/xxgdb.1x*
%{_applnkdir}/Development/xxgdb.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xxgdb.spec,v $
Revision 1.15  2002/11/16 23:20:39  kloczek
- relese 20: fix in %install :correctly install desktop icon.

Revision 1.14  2002/04/23 18:56:17  kloczek
- merge translations from Conectiva and KSI.

Revision 1.13  2002/04/23 18:53:44  kloczek
- release 19.

Revision 1.12  2002/04/20 16:23:01  jasio
Updated description -l pl.

Revision 1.11  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/01 20:40:44  kloczek
- release 18,
- added png Icon for desktop file,
- added BuildRequires rules,
- cosmetics and more macros.

Revision 1.8  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/24 11:32:11  qboosh
- adapterized, pl description, changed .wmconfig to .desktop

Revision 1.6  2001/05/03 01:14:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/19 20:07:29  baggins
almost raw

* Wed Mar 23 1999 Michael Maher <mike@redhat.com>
- added requires for gdb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch around i386 wchar_t glibc-2.1 typedef.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- change wmconfig group to utilities
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Feb  9 1998 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries
- removed prefix line ... can't have it with wmconfig file :(

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
